Draft Versatz

From FreeCAD Documentation
Revision as of 07:45, 15 May 2020 by Maker (talk | contribs) (Created page with "Der Abstand, der zur Erzeugung des Versatzes verwendet wird, steht je nach Position des Zeigers senkrecht zu einer der Kanten der ursprünglichen Form. Wenn der Zeiger näher...")

Entwurf Versetzen

Menüeintrag
Entwurf → Versetzen
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
O S
Eingeführt in Version
-
Siehe auch
Part 2D Versatz

Beschreibung

Das Versatzwerkzeug verschiebt das ausgewählte Objekt um einen bestimmten Abstand (Versatz) senkrecht zu sich selbst.

Typischerweise wird dieses Werkzeug im Kopiermodus verwendet, um versetzte Kopien eines Basisdrahtes zu erstellen, wobei dieser Draht an der gleichen Stelle belassen wird. Die versetzten Kopien sind skalierte Versionen des Originalobjekts. Um andere skalierte Kopien zu erstellen, verwende Entwurf Maßstab. Um exakte Kopien zu erstellen, die um einen bestimmten Abstand verschoben sind, verwende Entwurf verschieben.

Versetzen eines Drahtes um einen bestimmten Abstand von einer seiner Kanten

Anwendung

  1. Wähle das Objekt aus, das du versetzen möchtest.
  2. Drücke die Entwurf Versetzen Schaltfläche oder drücke O und dann S Tasten. Wenn kein Objekt ausgewählt ist, wirst du aufgefordert, eines auszuwählen.
  3. Klicke auf einen Punkt in der 3D Ansicht, oder gib einen Abstand ein.

Der Abstand, der zur Erzeugung des Versatzes verwendet wird, steht je nach Position des Zeigers senkrecht zu einer der Kanten der ursprünglichen Form. Wenn der Zeiger näher an eine andere Kante bewegt wird, wird diese Kante nun zur Referenz für den Abstand. Halte die Shift Taste gedrückt, um die aktuelle Referenzkante beizubehalten, obwohl der Zeiger näher an andere Kanten bewegt wird.

Options

  • Press P or click the checkbox to toggle copy mode. If copy mode is on, the Offset tool will keep the original shape in its place but will make a scaled copy at the chosen point.
  • Hold Alt while picking the point to also toggle copy mode. Keeping Alt pressed will allow you to continue placing offset copies; release Alt to finish the operation and see all offset shapes.
  • Click the "OCC-style" checkbox to toggle OCC mode. This will create an offset from both sides of an line segment, which will produce a specially closed shape with rounded edges at the ends of the segments.
Note: with this style the original segments will be removed, so use copy mode to preserve the original edges.
  • Hold Ctrl while offsetting to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift to keep the offset distance referred to the current segment, and avoid picking another reference.
  • Press Esc or the Close button to abort the current command; offset copies already placed will remain.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Offset tool can be used in macros and from the Python console by using the following function:

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Offsets the given obj wire by applying the given delta, defined as a vector, to its first vertex.
  • If copy is True another object is created instead of offsetting the original object.
  • If bind is True, and provided the wire object is open, the original and the offset wire will be tied at their endpoints, forming a face.
    • If sym is True, bind must be True as well, and the offset is made on both sides of the wire, the total width being the length of the given vector.
  • If occ is True, it will use OCC-style offsetting: it will offset from both sides, then tie the new wires together, and round the corners.
  • Offsetobj is returned with the original offset object, or with the new copy.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)